This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293146 - SELinux policy changes to make NSD4 work
SELinux policy changes to make NSD4 work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 12:58 EST by Fabio Alessandro Locati
Modified: 2016-01-21 21:21 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 21:21:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2015-12-20 12:58:28 EST
Description of problem:
NSD4 (http://koji.fedoraproject.org/koji/buildinfo?buildID=706713) requires some changes to selinux-policy. (I know the build is for EL7, but one for Fedora is coming too)

To make NSD4 work properly, I've executed the following commands:


chcon -t nsd_exec_t /sbin/nsd-checkconf
chcon -t nsd_exec_t /sbin/nsd-checkzone
chcon -t nsd_exec_t /sbin/nsd-control  
chcon -t nsd_exec_t /sbin/nsd-control-setup


and created (thanks to audit2policy) the following policy:


module mypol 1.0;

require {
	type tmp_t;
	type nsd_t;
	class capability net_admin;SELinux policy changes to make NSD4 work
	class dir { write create add_name };
	class file { write create open };
}

#============= nsd_t ==============
allow nsd_t self:capability net_admin;
allow nsd_t tmp_t:dir { write create add_name };
allow nsd_t tmp_t:file { write create open };


with those changes, it works
Comment 1 Lukas Vrabec 2016-01-07 07:09:57 EST
commit bd58eb43c6db1a4a1e5f746b751d082bda92fd85
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jan 7 13:07:19 2016 +0100

    Label some new nsd binaries as nsd_exec_t
    Allow nsd domain net_admin cap.
    Create label nsd_tmp_t for nsd tmp files/dirs
    BZ (1293146)
Comment 2 Fedora Update System 2016-01-14 08:15:38 EST
selinux-policy-3.13.1-158.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cb7ac5cb9
Comment 3 Fedora Update System 2016-01-15 13:53:38 EST
selinux-policy-3.13.1-158.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cb7ac5cb9
Comment 4 Fedora Update System 2016-01-21 21:20:46 EST
selinux-policy-3.13.1-158.2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.